List leads
GET
/leads
const url = 'https://apisandbox.puurk.com/leads';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://apisandbox.puurk.com/leads \ --header 'Authorization: Bearer <token>'Returns a paginated list of leads
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
Pagination cursor
limit
integer
Number of results to return
Responses
Section titled “Responses”Successful operation
Media typeapplication/json
object
data
Array<object>
object
id
string
oid
string
eid
string
first_name
required
string
last_name
required
string
phone_number
string
email_address
string
pagination
object
limit
Maximum number of results returned
integer
hasMore
Whether more results are available
boolean
nextCursor
Cursor for the next page, or null if no more results
string
Example
{ "data": [ { "id": "HaFjsdk2141811fasF", "oid": "1249fDSZ6714ekjfFK", "first_name": "Jane", "last_name": "Doe", "phone_number": "+1544123456", "email_address": "janedoe@email.com" } ]}Unauthorized